perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fred Moyer <f...@redhotpenguin.com>
Subject Re: apache2 or mod_perl2 oddball error
Date Thu, 16 Jun 2011 17:56:59 GMT
On Thu, Jun 16, 2011 at 9:28 AM, William Bulley <web@umich.edu> wrote:
> The httpd.conf file is unchanged and was working since from before
> the upgrade.
>
> In the /usr/local/etc/apache22/httpd.conf file are these lines among
> several hundred other lines:
>
>   LoadModule perl_module libexec/apache22/mod_perl.so
>   Include etc/apache22/Includes/*.conf
>
> The only reference to the Apache2::Const module is in an Apache
> config include file:
>
>   PerlModule "Apache2::Const -compile => ':common'"

Hmm, odd that it wouldn't work under 2.0.5 but it would under 2.0.4.
No idea why offhand.  Do you use a startup.pl in your application?

>
> I have these FreeBSD ports installed among several hundred others:
>
>   perl-5.14.0
>   apache-2.2.19
>   ap22-mod_perl2-2.0.5,3


> Neither of these two commands gave any output at all:
>
>   freebsd% perl -e 'use Apache2::Const qw( :common );
>   freebsd% perl -M'Apache2::Const -compile => qw(:common)' -e 1;

You need to call these statements in the context of a mod_perl interpreter.

Mime
View raw message